Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors
Class ENLOCErrorDescriptionTranslate

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.ENLOCErrorDescriptionTranslate

All Implemented Interfaces:
  IErrorDescriptionTranslate

    public class ENLOCErrorDescriptionTranslate

extends java.lang.Object
implements IErrorDescriptionTranslate

Clase que traduce la descripcion de los errores sustituyendo nombres XBRL por codigos ENLOC.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ENLOCErrorDescriptionTranslate()`

Method Summary
`java.lang.String` | `getAdaptedDescription(ENLOCErrorOut errorOut)` Devuelve la descripción por defecto con los parámetros de ENLOC
`java.lang.String` | `getTranslatedDescription(ENLOCErrorOut errorOut, java.lang.String translatedBaseDescription)` Devuelve la descripción traducida

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCErrorDescriptionTranslate

    public ENLOCErrorDescriptionTranslate()

Method Detail

### getTranslatedDescription

    public java.lang.String getTranslatedDescription(ENLOCErrorOut errorOut,
                                                     java.lang.String translatedBaseDescription)

  Description copied from interface: `IErrorDescriptionTranslate`
  Devuelve la descripción traducida

  Specified by:
    `getTranslatedDescription` in interface `IErrorDescriptionTranslate`
  Parameters:
    `errorOut` - error sobre el que se traduce la descripción
    `translatedBaseDescription` - descripción traducida sin parámetros
  Returns:
    translatedDescription descripción traducida del error

### getAdaptedDescription

    public java.lang.String getAdaptedDescription(ENLOCErrorOut errorOut)

  Description copied from interface: `IErrorDescriptionTranslate`
  Devuelve la descripción por defecto con los parámetros de ENLOC

  Specified by:
    `getAdaptedDescription` in interface `IErrorDescriptionTranslate`
  Parameters:
    `errorOut` - error sobre el que se traduce la descripción
  Returns:
    adaptedDescription descripción adaptada al error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD